#pragma aux twist "_*" parm caller [];
extern void twist(void);

word sqrtd[320][200];
sword sind[256];
sword cosd[256];
sdword maindegree;
byte *twisttarget;
byte *twistsource;

void twistinit(void)
{
        word x;
        word y;

        for(x=0; x<320; x++)
        {
                for(y=0; y<200; y++)
                {
                        sqrtd[x][y]=sqrt((160-x)*(160-x)+(100-y)*(100-y));
                }
        }
        sqrtd[160][100]=1;

        for(x=0; x<256; x++)
        {
                sind[x]=sin(x*3.14159/128)*32767;
                cosd[x]=cos(x*3.14159/128)*32767;
        }
}
